# Class Jre20Compat

java.lang.Object
org.apache.tomcat.util.compat.JreCompat
org.apache.tomcat.util.compat.Jre19Compat
org.apache.tomcat.util.compat.Jre20Compat

Direct Known Subclasses:
  `Jre21Compat`

public class Jre20Compat extends Jre19Compat

## Constructor Summary

Constructors
Constructor
Description
`Jre20Compat()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setNamedGroupsMethod(Object sslParameters, String[] names)`
TLS groups configuration from JSSE API in Java 20.

### Methods inherited from class Jre19Compat

`getExecutor`

### Methods inherited from class JreCompat

`callAs, createVirtualThreadBuilder, disableCanonCaches, getInstance, isCanonCachesDisabled, isGraalAvailable, isJre19Available, isJre20Available, isJre21Available, isJre22Available, threadBuilderStart`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jre20Compat

public Jre20Compat()

## Method Details

### setNamedGroupsMethod

public void setNamedGroupsMethod(Object sslParameters, String[] names)
Description copied from class: `JreCompat`
TLS groups configuration from JSSE API in Java 20.

Overrides:
  `setNamedGroupsMethod` in class `JreCompat`
Parameters:
  `sslParameters` - the parameters object
  `names` - the names of the groups to enable